# $Id$
# Authority: lsn
# Upstream: 

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define myvendor	LandShark Networks
%define date		%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

Name:           gnomebaker
Version:        0.5.0
Release:        1.el4.lsn
Vendor:		%myvendor
Summary:        Gnome CD/DVD burner

Group:          Applications/Multimedia
License:        GPL
URL:		http://%{name}.sourceforge.net/v2/ 
Source0:        http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-help.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Buildarch: i386

BuildRequires:  libgnomeui-devel >= 2.8.0
BuildRequires:	libglade2-devel
BuildRequires:	gstreamer-devel
BuildRequires:	gettext
BuildRequires:	scrollkeeper
BuildRequires:	desktop-file-utils

Requires:	dvd+rw-tools
Requires:	cdrecord
Requires:	mkisofs
Requires:	cdda2wav

Requires(post): scrollkeeper
Requires(postun): scrollkeeper


%description
CD/DVD burner designed for the GNOME desktop.


%prep
%setup -q
%patch0 -p1 -b .desktop
%patch1 -p1 -b .help
sed -i -e "/^CFLAGS/d" configure.in
aclocal
autoconf


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# Remove duplicate docs.
rm -rf $RPM_BUILD_ROOT/usr/doc/%{name}/

desktop-file-install --vendor fedora --delete-original	\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications   	\
  --add-category X-Fedora			        \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :


%postun
scrollkeeper-update -q || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/


%changelog
* %{date} %myname %myemail - %version-%release
- Initial build for CentOS 4.
